InputMapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.input
Class InputMapping

    java.lang.Object
      net.ctdp.rfdynhud.input.InputMapping

    public class InputMapping

extends java.lang.Object

The `InputMapping` keeps information about a single mapped input component to a Widget.

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static int` | `MODIFIER_MASK_CTRL`
`static int` | `MODIFIER_MASK_LALT`
`static int` | `MODIFIER_MASK_LMETA`
`static int` | `MODIFIER_MASK_RALT`
`static int` | `MODIFIER_MASK_RMETA`
`static int` | `MODIFIER_MASK_SHIFT`

Constructor Summary
`InputMapping(java.lang.String widgetName, InputAction action, java.lang.String deviceComponent, int keyCode, int modifierMask, int hitTimes)`

Method Summary
`InputAction` | `getAction()`
`java.lang.String` | `getDeviceComponent()`
`int` | `getHitTimes()`
`int` | `getKeyCode()`
`int` | `getModifierMask()`
`java.lang.String` | `getWidgetName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODIFIER_MASK_SHIFT

    public static final int MODIFIER_MASK_SHIFT

See Also:
  Constant Field Values

### MODIFIER_MASK_CTRL

    public static final int MODIFIER_MASK_CTRL

See Also:
  Constant Field Values

### MODIFIER_MASK_LALT

    public static final int MODIFIER_MASK_LALT

See Also:
  Constant Field Values

### MODIFIER_MASK_RALT

    public static final int MODIFIER_MASK_RALT

See Also:
  Constant Field Values

### MODIFIER_MASK_LMETA

    public static final int MODIFIER_MASK_LMETA

See Also:
  Constant Field Values

### MODIFIER_MASK_RMETA

    public static final int MODIFIER_MASK_RMETA

See Also:
  Constant Field Values

Constructor Detail

### InputMapping

    public InputMapping(java.lang.String widgetName,
                        InputAction action,
                        java.lang.String deviceComponent,
                        int keyCode,
                        int modifierMask,
                        int hitTimes)

Method Detail

### getWidgetName

    public final java.lang.String getWidgetName()

### getAction

    public final InputAction getAction()

### getDeviceComponent

    public final java.lang.String getDeviceComponent()

### getKeyCode

    public final int getKeyCode()

### getModifierMask

    public final int getModifierMask()

### getHitTimes

    public final int getHitTimes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD